import 'package:flutter/cupertino.dart';

AmbitoCartNotifier ambitoCartNotifier = AmbitoCartNotifier();

class AmbitoCartNotifier extends ChangeNotifier {
  AmbitoCartNotifier();

  AmbitoCartNotifier.create(BuildContext context);

  int carts = 0;

  void addCart() {
    carts++;
    notifyListeners();
  }

  void resetCarts() {
    carts = 0;
    notifyListeners();
  }

  void removeCart() {
    if (carts > 1) {
      carts--;
      notifyListeners();
    } else {
      resetCarts();
    }
  }
}
